import http from "./interface";

// 库存列表
export const manageList = (data) => {
  return http.request({
    url: "/api/inventory/list",
    method: "POST",
    data,
  });
};
// 条形码查询
export const manageCode = (data) => {
  return http.request({
    url: "/api/inventory/detail/barcode",
    method: "POST",
    data,
  });
};
// 保存
export const save = (data) => {
  return http.request({
    url: "/api/inventory/create",
    method: "POST",
    data,
  });
};
// 修改
export const update = (data) => {
  return http.request({
    url: "/api/inventory/update",
    method: "POST",
    data,
  });
};
// 库存增加
export const addNum = (data) => {
  return http.request({
    url: "/api/inventory/stock/update",
    method: "POST",
    data,
  });
};
export default {
  manageList,
  manageCode,
  save,
  update,
  addNum
};
